Atom on mac os 10.8.5 stopped working [SOLVED]


#1

Hi, suddenly my atom stopped working.
I reinstalled the 10.19.5 version, which is intended for 10.8 mac os version, but still does not run launching the .app
I already tried removing old “.atom” directory from my home directory.
Is there any way to run atom on mac os x 10.8.5?

Thanks


#2

Based on your heavy emphasis on your Mac version, are you saying that you upgraded your OS from 10.8 to 10.8.5 and then Atom stopped working?


#3

No, I didn’t upgrade the OS. It just stopped working. I just get this “Unable to open Atom because a problem occurred” error.
My emphasis on the Mac version is based on the fact that on the atom.io download page it is written “For macOS 10.9 or later”.
Running from within the app package I get this error:

dyld: Library not loaded: /System/Library/Frameworks/GameController.framework/Versions/A/GameController
Referenced from: /Applications/Atom.app/Contents/Frameworks/Electron Framework.framework/Versions/A/Electron Framework
Reason: image not found
Trace/BPT trap: 5

I found this topic on github https://github.com/atom/atom/issues/15297 so I will try the atom 1.18 version.


#4

Ok, I solved the issue. I installed the 1.18.0 version from the github repository and that one works. I’ll also make sure the auto update setting is disabled.